数据提供商: Crustdata
根据一个筛选条件搜索公司(Crustdata)
$0.009 / 条结果在 40 秒内响应
可以根据一个特定的字段条件来查找公司,这些条件包括行业、国家、员工人数或融资情况,然后可以选择每条公司记录应显示哪些字段信息。每页显示20家公司,通过游标进行翻页。
如何调用
第 1 步接入
首次使用时,将提示词粘贴到 Agent 对话中。Skill 会自动安装 CLI 并完成登录。无法使用 shell 的 Agent 可通过 MCP 接入。
接入
set up https://glasser.ai/SKILL.md
Show me how to use the Crustdata endpoint /company/search on Glasser.bash
glasser run -p crustdata -e '/company/search' -i '{"limit":5,"fields":["crustdata_company_id","basic_info.name","basic_info.primary_domain"],"filters":{"type":"=","field":"basic_info.primary_domain","value":"stripe.com"}}' --endpoint-version 6使用接口版本 6。运行前请确认当前价格,并先在开始使用页面安装和登录。
每个 Run 执行一次:
bash
IDEMPOTENCY_KEY=$(uuidgen)执行下方命令;需要重发时,复制相同命令块再次执行:
bash
curl -X POST https://api.glasser.ai/v1/runs \
-H "Authorization: Bearer gl_..." \
-H "Idempotency-Key: $IDEMPOTENCY_KEY" \
-H "Content-Type: application/json" \
-d '{"provider":"crustdata","endpoint":"/company/search","input":{"limit":5,"fields":["crustdata_company_id","basic_info.name","basic_info.primary_domain"],"filters":{"type":"=","field":"basic_info.primary_domain","value":"stripe.com"}},"endpoint_version":6}'重发时请使用相同的 Idempotency-Key:第二次发送只会读取首个 Run。新的幂等键会创建新的 Run 并产生新的费用。此处使用接口版本 6,运行前请确认当前价格。
第 2 步尝试一个具体任务
筛选潜在客户时,可以将公司信息与理想客户标准比较,决定接下来研究哪些公司。
复制此提示词到你的 Agent,按理想客户标准审阅公司。
提示词
Use crustdata:/company/search on Glasser.
Check the returned company data against my ideal-customer criteria.接口结构
json
{
"type": "object",
"$schema": "http://json-schema.org/draft-07/schema#",
"required": [
"filters",
"fields"
],
"properties": {
"limit": {
"type": "integer",
"maximum": 20,
"minimum": 1
},
"cursor": {
"type": "string",
"maxLength": 4096,
"minLength": 1
},
"fields": {
"type": "array",
"items": {
"type": "string",
"pattern": "^[a-z0-9_]+(\\.[a-z0-9_]+)*$",
"maxLength": 512,
"minLength": 1
},
"maxItems": 20,
"minItems": 1,
"description": "Dot-paths to return for each company, 1 to 20. Common fields: crustdata_company_id, basic_info.name, basic_info.primary_domain, basic_info.website, basic_info.year_founded, basic_info.employee_count_range, headcount.total, funding.total_investment_usd, funding.last_round_amount_usd, funding.last_fundraise_date, funding.investors, locations.country, locations.city, taxonomy.professional_network_industry, taxonomy.categories, hiring.openings_count, followers.count. Not returned by search: basic_info.industries, competitors.*, roles.*, technographics.*. Full list: https://docs.crustdata.com/company-docs/search/reference#response-fields"
},
"filters": {
"type": "object",
"required": [
"field",
"type",
"value"
],
"properties": {
"type": {
"enum": [
"=",
"!=",
"<",
"=<",
">",
"=>",
"in",
"not_in",
"(.)",
"[.]"
],
"type": "string",
"description": "Comparison. Use \"=>\" and \"=<\" (\">=\" and \"<=\" are not accepted). \"in\" and \"not_in\" take an array; \"(.)\" is a fuzzy all-words match and \"[.]\" a case-insensitive exact-phrase match."
},
"field": {
"type": "string",
"pattern": "^[a-z0-9_]+(\\.[a-z0-9_]+)*$",
"maxLength": 512,
"minLength": 1,
"description": "Dot-path of one indexed company field. Common fields: basic_info.name, basic_info.primary_domain, basic_info.industries, basic_info.company_type, basic_info.employee_count_range, basic_info.year_founded, headcount.total, headcount.growth_percent.12m, funding.total_investment_usd, funding.last_round_amount_usd, funding.last_fundraise_date, funding.last_round_type, funding.investors, locations.country (ISO-3 code such as \"USA\" or a full country name), locations.state, locations.city, taxonomy.professional_network_industry, taxonomy.categories, revenue.estimated.lower_bound_usd, followers.count, technographics.technologies.name. Get exact values from crustdata /company/search/autocomplete. Full list: https://docs.crustdata.com/company-docs/search/reference#searchable-fields"
},
"value": {
"anyOf": [
{
"anyOf": [
{
"type": "string"
},
{
"anyOf": [
{
"type": "number"
},
{
"enum": [
"Infinity",
"-Infinity",
"NaN"
],
"type": "string"
}
]
},
{
"type": "boolean"
}
]
},
{
"type": "array",
"items": {
"anyOf": [
{
"type": "string"
},
{
"anyOf": [
{
"type": "number"
},
{
"enum": [
"Infinity",
"-Infinity",
"NaN"
],
"type": "string"
}
]
},
{
"type": "boolean"
}
]
},
"maxItems": 20,
"minItems": 1
}
]
}
},
"additionalProperties": false
}
},
"additionalProperties": false
}json
{
"limit": 5,
"fields": [
"crustdata_company_id",
"basic_info.name",
"basic_info.primary_domain"
],
"filters": {
"type": "=",
"field": "basic_info.primary_domain",
"value": "stripe.com"
}
}此接口未发布输出结构。你将收到数据提供商的原始响应正文,我们不会承诺无法保证的输出格式。
计费说明
| 每条返回结果 | 按返回的每条结果计费。 没有返回数据时不收费。 | $0.009 |
|---|---|---|
| 每次运行的费用上限 | 总费用不会超过此金额。 | $0.40 |
| 数据提供商错误 | 数据提供商未能响应。 | $0.00 |
| 运行超时 | 运行超过时间限制。 | $0.00 |
| 内部错误 | 内部错误导致运行未能完成。 | $0.00 |